package cn.iocoder.yudao.module.pms.dal.mysql.iotwebtopodevicesvgnode;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.pms.controller.admin.iotwebtopodevicesvgnode.vo.IotWebtopoDeviceSvgnodePageReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.iotwebtopodevicesvgnode.IotWebtopoDeviceSvgnodeDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 组态-svg与设备绑定 Mapper
 *
 * @author ruiqi
 */
@Mapper
public interface IotWebtopoDeviceSvgnodeMapper extends BaseMapperX<IotWebtopoDeviceSvgnodeDO> {

    default PageResult<IotWebtopoDeviceSvgnodeDO> selectPage(IotWebtopoDeviceSvgnodePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<IotWebtopoDeviceSvgnodeDO>()
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getProjectId, reqVO.getProjectId())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getDeviceId, reqVO.getDeviceId())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getSvgNodeId, reqVO.getSvgNodeId())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getSvgNodeProp, reqVO.getSvgNodeProp())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getDeviceProp, reqVO.getDeviceProp())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getSort, reqVO.getSort())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getRemark, reqVO.getRemark())
                .eqIfPresent(IotWebtopoDeviceSvgnodeDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(IotWebtopoDeviceSvgnodeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(IotWebtopoDeviceSvgnodeDO::getId));
    }

}